A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
acos
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Trigonometric functions

## Functions
array | acos (const array &in)
| C++ Interface to evaluate the inverse cosine function.
af_err | af_acos (af_array *out, const af_array in)
| C Interface to evaluate the inverse cosine function.

## Detailed Description

Evaluate the inverse cosine function (arc cosine).

The inverse of cosine so that, if `y = cos(x)`, then `x = arccos(y)`.

## Function Documentation

## ◆ acos()

array acos | ( | const array & | in | ) |

C++ Interface to evaluate the inverse cosine function.

Parameters

  [in] | in | input array

Returns
  inverse cosine

## ◆ af_acos()

af_err af_acos | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the inverse cosine function.

Parameters

  [out] | out | inverse cos
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given